# $Revision: 1.44.2.12 $, $Date: 2008-02-29 19:10:52 $
#
# TODO:
# - Find how to compile with PLD CFLAGS/CXXFLAGS/LDFLAGS.
# - Package SDK.
# - Package utils (and write initscripts ?) for Guest OS.
# - Check License of VBoxGuestAdditions_*.iso, it's propably not GPL v2.
#   If so check if it is distributable.
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel module
%bcond_without	up		# without up packages
%bcond_without	smp		# without SMP kernel modules
%bcond_without	userspace	# don't build userspace package

%if %{without kernel}
%undefine	with_dist_kernel
%endif

%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		pname	VirtualBox

Summary:	VirtualBox - x86 hardware virtualizer
Summary(pl.UTF-8):	VirtualBox - wirtualizator sprzętu x86
Name:		%{pname}%{_alt_kernel}
Version:	1.5.6
Release:	2
License:	GPL v2
Group:		Applications/Emulators
Source0:	http://www.virtualbox.org/download/%{version}/%{pname}-%{version}-1_OSE.tar.bz2
# Source0-md5:	305c65f9e91b6137cb773d578de09922
Source1:	http://www.virtualbox.org/download/%{version}/UserManual.pdf
# Source1-md5:	9ba7f17584fb3e9c98e026a1501cf7c0
Source2:	http://www.virtualbox.org/download/%{version}/VBoxGuestAdditions_%{version}.iso
# Source2-md5:	9d74dea92bd225ad59faee9fd427a55e
Source3:	%{pname}.init
Source4:	%{pname}.desktop
Source5:	%{pname}.sh
Patch0:		%{pname}-configure.patch
Patch1:		%{pname}-qt-paths.patch
Patch2:		%{pname}-shared-libstdc++.patch
Patch3:		%{pname}-disable-xclient-build.patch
Patch4:		%{pname}-configure-spaces.patch
URL:		http://www.virtualbox.org/
%if %{with userspace}
BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	bash
BuildRequires:	bcc
BuildRequires:	bin86
BuildRequires:	gcc >= 5:3.2.3
BuildRequires:	iasl
%endif
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
%if %{with userspace}
BuildRequires:	libIDL-devel
BuildRequires:	libuuid-devel
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel
BuildRequires:	qt-devel >= 6:3.3.6
BuildRequires:	qt-linguist
%endif
BuildRequires:	rpmbuild(macros) >= 1.379
%if %{with userspace}
BuildRequires:	which
BuildRequires:	xalan-c-devel >= 1.10.0
BuildRequires:	xerces-c-devel >= 2.6.0
BuildRequires:	zlib-devel >= 1.2.1
%ifarch %{x8664}
BuildRequires:	libstdc++32-devel
# 32bit glibc-devel
BuildRequires:	/usr/include/gnu/stubs-32.h
%endif
%endif
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Suggests:	gxmessage
Provides:	group(vbox)
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch %{x8664}
%define		outdir	amd64
%else
%define		outdir	x86
%endif

%description
InnoTek VirtualBox is a general-purpose full virtualizer for x86
hardware. Targeted at server, desktop and embedded use, it is now the
only professional-quality virtualization solution that is also Open
Source Software.

Some of the features of VirtualBox are:

Modularity: VirtualBox has an extremely modular design with
well-defined internal programming interfaces and a client/server
design. This makes it easy to control it from several interfaces at
once: for example, you can start a virtual machine in a typical
virtual machine GUI and then control that machine from the command
line. VirtualBox also comes with a full Software Development Kit: even
though it is Open Source Software, you don't have to hack the source
to write a new interface for VirtualBox.

Virtual machine descriptions in XML: the configuration settings of
virtual machines are stored entirely in XML and are independent of the
local machines. Virtual machine definitions can therefore easily be
ported to other computers.

%description -l pl.UTF-8
InnoTek VirtualBox jest emulatorem sprzętu x86. Kierowany do
zastosowań serwerowych, desktopowych oraz wbudowanych jest obecnie
jedynym wysokiej jakości rozwiązaniem wirtualizacyjnym dostępnym
również jako Otwarte Oprogramowanie.

Przykładowe cechy VirtualBoksa:

Modularność: VirtualBox jest wysoce zmodularyzowanym produktem z
dobrze zaprojektowanym wewnętrznym interfejsem programowym typu
klient/serwer. Dzięki temu można łatwo kontrolować go za pomocą
różnych interfejsów. Można na przykład uruchomić maszynę wirtualną z
poziomu interfejsu graficznego, a później kontrolować ją z linii
poleceń. VirtualBox dostarcza również pełny pakiet deweloperski, co
pozwala stworzyć dowolny inny interfejs zarządzania maszyną wirtualną.

Opisy maszyn wirtualnych w XML-u: konfiguracje poszczególnych maszyn
wirtualnych są w całości przechowywane w XML-u i są niezależne od
lokalnej maszyny. Dzięki temu można szybko i łatwo przenieść
konfigurację maszyny wirtualnej na inny komputer.

%package udev
Summary:	udev rules for VirtualBox kernel modules
Summary(pl.UTF-8):	Reguły udev dla modułów jądra Linuksa dla VirtualBoksa
Group:		Base/Kernel
Requires:	udev

%description udev
udev rules for VirtualBox kernel modules

%description udev -l pl.UTF-8
Reguły udev dla modułów jądra Linuksa dla VirtualBoksa

%package -n kernel%{_alt_kernel}-misc-vboxadd
Summary:	Linux kernel module for VirtualBox
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}

%description -n kernel%{_alt_kernel}-misc-vboxadd
Linux kernel module vboxadd for VirtualBox.

%description -n kernel%{_alt_kernel}-misc-vboxadd -l pl.UTF-8
Moduł jądra Linuksa vboxadd dla VirtualBoksa.

%package -n kernel%{_alt_kernel}-misc-vboxdrv
Summary:	Linux kernel module for VirtualBox
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}

%description -n kernel%{_alt_kernel}-misc-vboxdrv
Linux kernel module vboxdrv for VirtualBox.

%description -n kernel%{_alt_kernel}-misc-vboxdrv -l pl.UTF-8
Moduł jądra Linuksa vboxdrv dla VirtualBoksa.

%package -n kernel%{_alt_kernel}-misc-vboxvfs
Summary:	Linux kernel module for VirtualBox
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}

%description -n kernel%{_alt_kernel}-misc-vboxvfs
Linux kernel module vboxvfs for VirtualBox.

%description -n kernel%{_alt_kernel}-misc-vboxvfs -l pl.UTF-8
Moduł jądra Linuksa vboxvfs dla VirtualBoksa.

%package -n kernel%{_alt_kernel}-smp-misc-vboxadd
Summary:	Linux SMP kernel module for VirtualBox
Summary(pl.UTF-8):	Moduł jądra Linuksa SMP dla VirtualBoksa
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}

%description -n kernel%{_alt_kernel}-smp-misc-vboxadd
Linux SMP kernel module vboxadd for VirtualBox.

%description -n kernel%{_alt_kernel}-smp-misc-vboxadd -l pl.UTF-8
Moduł jądra Linuksa SMP vboxadd dla VirtualBoksa.

%package -n kernel%{_alt_kernel}-smp-misc-vboxdrv
Summary:	Linux SMP kernel module for VirtualBox
Summary(pl.UTF-8):	Moduł jądra Linuksa SMP dla VirtualBoksa
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}

%description -n kernel%{_alt_kernel}-smp-misc-vboxdrv
Linux SMP kernel module vboxdrv for VirtualBox.

%description -n kernel%{_alt_kernel}-smp-misc-vboxdrv -l pl.UTF-8
Moduł jądra Linuksa SMP vboxdrv dla VirtualBoksa.

%package -n kernel%{_alt_kernel}-smp-misc-vboxvfs
Summary:	Linux SMP kernel module for VirtualBox
Summary(pl.UTF-8):	Moduł jądra Linuksa SMP dla VirtualBoksa
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}

%description -n kernel%{_alt_kernel}-smp-misc-vboxvfs
Linux SMP kernel module vboxvfs for VirtualBox.

%description -n kernel%{_alt_kernel}-smp-misc-vboxvfs -l pl.UTF-8
Moduł jądra Linuksa SMP vboxvfs dla VirtualBoksa.

%package -n X11-driver-input-vboxmouse
Summary:	X.org mouse driver for VirtualBox guest OS
Summary(pl.UTF-8):	Sterownik myszy dla systemu gościa w VirtualBoksie
Group:		X11/Applications
Requires:	X11-Xserver >= 1:6.9.0

%description -n X11-driver-input-vboxmouse
X.org mouse driver for VirtualBox guest OS.

%description -n X11-driver-input-vboxmouse  -l pl.UTF-8
Sterownik myszy dla systemu gościa w VirtualBoksie.

%package -n X11-driver-video-vboxvideo
Summary:	X.org video driver for VirtualBox guest OS
Summary(pl.UTF-8):	Sterownik grafiki dla systemu gościa w VirtualBoksie
Group:		X11/Applications
Requires:	X11-Xserver >= 1:6.9.0

%description -n X11-driver-video-vboxvideo
X.org video driver for VirtualBox guest OS.

%description -n X11-driver-video-vboxvideo -l pl.UTF-8
Sterownik grafiki dla systemu gościa w VirtualBoksie.

%prep
%setup -q -n %{pname}-%{version}_OSE
%patch0 -p0
%patch1 -p0
%patch2 -p1

%ifarch %{x8664}
%patch3 -p1
%endif

%patch4 -p1

cat <<'EOF' > udev.conf
KERNEL=="vboxdrv", NAME="%k", GROUP="vbox", MODE="0660"
EOF

install %{SOURCE1} .

rm -rf PLD-MODULE-BUILD && mkdir PLD-MODULE-BUILD && cd PLD-MODULE-BUILD
../src/VBox/Additions/linux/export_modules modules.tar.gz
	tar -zxf modules.tar.gz && rm -f modules.tar.gz
../src/VBox/HostDrivers/Support/linux/export_modules modules.tar.gz && \
	tar -zxf modules.tar.gz && rm -f modules.tar.gz

%ifarch %{x8664}
# HACK, is this really safe on x86_64?
sed -i -e '/#.*define.*RTMEMALLOC_EXEC_HEAP/d' vboxadd/r0drv/linux/alloc-r0drv-linux.c vboxvfs/r0drv/linux/alloc-r0drv-linux.c
%endif

%build
%if %{with userspace}
./configure \
	--with-gcc="%{__cc}" \
	--with-g++="%{__cxx}" \
	--disable-kmods

. ./env.sh && kmk -j1
%endif

%if %{with kernel}
cd PLD-MODULE-BUILD
%build_kernel_modules -m vboxadd -C vboxadd
%build_kernel_modules -m vboxdrv -C vboxdrv
%build_kernel_modules -m vboxvfs -C vboxvfs
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
install -d \
	$RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT%{_libdir}/VirtualBox \
	$RPM_BUILD_ROOT/etc/rc.d/init.d

install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/virtualbox

install %{SOURCE5} $RPM_BUILD_ROOT%{_libdir}/VirtualBox/VirtualBox-wrapper.sh
for f in {VBox{BFE,Manage,SDL,SVC,XPCOMIPCD},VirtualBox,vditool}; do
	install out/linux.%{outdir}/release/bin/$f $RPM_BUILD_ROOT%{_libdir}/VirtualBox/$f
	ln -s %{_libdir}/VirtualBox/VirtualBox-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/$f
done

%ifarch %{x8664}
install out/linux.%{outdir}/release/bin/VBox*.rel \
        $RPM_BUILD_ROOT%{_libdir}/VirtualBox
%endif

install out/linux.%{outdir}/release/bin/VBox*.so \
	$RPM_BUILD_ROOT%{_libdir}/VirtualBox
install out/linux.%{outdir}/release/bin/{VBox{DD,DD2}{GC.gc,R0.r0},VMM{GC.gc,R0.r0},*.xpt} \
	$RPM_BUILD_ROOT%{_libdir}/VirtualBox

install -d $RPM_BUILD_ROOT%{_libdir}/VirtualBox/additions
install -d $RPM_BUILD_ROOT%{_libdir}/VirtualBox/nls

install %{SOURCE2} $RPM_BUILD_ROOT%{_libdir}/VirtualBox/additions/VBoxGuestAdditions.iso
cp -a out/linux.%{outdir}/release/bin/components $RPM_BUILD_ROOT%{_libdir}/VirtualBox
cp -a out/linux.%{outdir}/release/bin/nls/* $RPM_BUILD_ROOT%{_libdir}/VirtualBox/nls

install out/linux.%{outdir}/release/bin/additions/mountvboxsf		\
	$RPM_BUILD_ROOT%{_bindir}

%ifnarch %{x8664}
install -d $RPM_BUILD_ROOT%{_x_libraries}/modules/{drivers,input}
install out/linux.%{outdir}/release/bin/additions/vboxmouse_drv_70.so	\
	$RPM_BUILD_ROOT%{_x_libraries}/modules/input/vboxmouse_drv.so
install out/linux.%{outdir}/release/bin/additions/vboxvideo_drv_70.so	\
	$RPM_BUILD_ROOT%{_x_libraries}/modules/drivers/vboxvideo_drv.so
%endif

install out/linux.%{outdir}/release/bin/VBox.png $RPM_BUILD_ROOT%{_pixmapsdir}/VBox.png
install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}/%{pname}.desktop

install -d $RPM_BUILD_ROOT/etc/udev/rules.d
install udev.conf $RPM_BUILD_ROOT/etc/udev/rules.d/virtualbox.rules
%endif

%if %{with kernel}
%install_kernel_modules -m PLD-MODULE-BUILD/vboxadd/vboxadd -d misc
%install_kernel_modules -m PLD-MODULE-BUILD/vboxdrv/vboxdrv -d misc
%install_kernel_modules -m PLD-MODULE-BUILD/vboxvfs/vboxvfs -d misc
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 221 -r -f vbox

%post
/sbin/chkconfig --add virtualbox
%service virtualbox restart "VirtualBox"

%preun
if [ "$1" = "0" ]; then
	%service virtualbox stop
	/sbin/chkconfig --del virtualbox
fi

%postun
if [ "$1" = "0" ]; then
	%groupremove vbox
fi

%post	-n kernel%{_alt_kernel}-misc-vboxadd
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-misc-vboxadd
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-misc-vboxdrv
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-misc-vboxdrv
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-misc-vboxvfs
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-misc-vboxvfs
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-smp-misc-vboxdrv
%depmod %{_kernel_ver}smp

%postun	-n kernel%{_alt_kernel}-smp-misc-vboxdrv
%depmod %{_kernel_ver}smp

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc UserManual.pdf
%dir %{_libdir}/VirtualBox
%dir %{_libdir}/VirtualBox/additions
%dir %{_libdir}/VirtualBox/components
%dir %{_libdir}/VirtualBox/nls
%attr(754,root,root) /etc/rc.d/init.d/virtualbox
%attr(755,root,root) %{_bindir}/mountvboxsf
%attr(755,root,root) %{_bindir}/vditool
%attr(755,root,root) %{_bindir}/VBox*
%attr(755,root,root) %{_bindir}/VirtualBox
%attr(755,root,root) %{_libdir}/VirtualBox/vditool
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxSVC
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxBFE
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxManage
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxSDL
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxXPCOMIPCD
%attr(755,root,root) %{_libdir}/VirtualBox/VBox*.so
%ifarch %{x8664}
%attr(755,root,root) %{_libdir}/VirtualBox/VBox*.rel
%endif
%attr(755,root,root) %{_libdir}/VirtualBox/VirtualBox
%attr(755,root,root) %{_libdir}/VirtualBox/VirtualBox-wrapper.sh
%{_libdir}/VirtualBox/*.gc
%{_libdir}/VirtualBox/*.r0
%{_libdir}/VirtualBox/*.xpt
%{_libdir}/VirtualBox/additions/*
%{_libdir}/VirtualBox/components/*
%lang(ar) %{_libdir}/VirtualBox/nls/*_ar.qm
%lang(ca) %{_libdir}/VirtualBox/nls/*_ca.qm
%lang(cs) %{_libdir}/VirtualBox/nls/*_cs.qm
%lang(de) %{_libdir}/VirtualBox/nls/*_de.qm
%lang(es) %{_libdir}/VirtualBox/nls/*_es.qm
%lang(eu) %{_libdir}/VirtualBox/nls/*_eu.qm
%lang(fi) %{_libdir}/VirtualBox/nls/*_fi.qm
%lang(fr) %{_libdir}/VirtualBox/nls/*_fr.qm
%lang(hu) %{_libdir}/VirtualBox/nls/*_hu.qm
%lang(id) %{_libdir}/VirtualBox/nls/*_id.qm
%lang(it) %{_libdir}/VirtualBox/nls/*_it.qm
%lang(ja) %{_libdir}/VirtualBox/nls/*_ja.qm
%lang(ko) %{_libdir}/VirtualBox/nls/*_ko.qm
%lang(nl) %{_libdir}/VirtualBox/nls/*_nl.qm
%lang(pl) %{_libdir}/VirtualBox/nls/*_pl.qm
%lang(pt_BR) %{_libdir}/VirtualBox/nls/*_pt_BR.qm
%lang(pt_PT) %{_libdir}/VirtualBox/nls/*_pt_PT.qm
%lang(ro) %{_libdir}/VirtualBox/nls/*_ro.qm
%lang(ru) %{_libdir}/VirtualBox/nls/*_ru.qm
%lang(sk) %{_libdir}/VirtualBox/nls/*_sk.qm
%lang(sr) %{_libdir}/VirtualBox/nls/*_sr.qm
%lang(sv) %{_libdir}/VirtualBox/nls/*_sv.qm
%lang(tr) %{_libdir}/VirtualBox/nls/*_tr.qm
%lang(zh_CN) %{_libdir}/VirtualBox/nls/*_zh_CN.qm
%lang(zh_TW) %{_libdir}/VirtualBox/nls/*_zh_TW.qm
%{_pixmapsdir}/VBox.png
%{_desktopdir}/%{pname}.desktop

%files udev
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/virtualbox.rules

# Drivers are for Guest OS, which is 32-bit.
%ifnarch %{x8664}
%files -n X11-driver-input-vboxmouse
%defattr(644,root,root,755)
%attr(755,root,root) %{_x_libraries}/modules/input/vboxmouse_drv.so

%files -n X11-driver-video-vboxvideo
%defattr(644,root,root,755)
%attr(755,root,root) %{_x_libraries}/modules/drivers/vboxvideo_drv.so
%endif
%endif

%if %{with kernel}
%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-misc-vboxadd
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/vboxadd.ko*

%files -n kernel%{_alt_kernel}-misc-vboxdrv
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/vboxdrv.ko*

%files -n kernel%{_alt_kernel}-misc-vboxvfs
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/vboxvfs.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-misc-vboxadd
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/vboxadd.ko*

%files -n kernel%{_alt_kernel}-smp-misc-vboxdrv
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/vboxdrv.ko*

%files -n kernel%{_alt_kernel}-smp-misc-vboxvfs
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/vboxvfs.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: VirtualBox.spec,v $
Revision 1.44.2.12  2008-02-29 19:10:52  glen
- rel 2

Revision 1.44.2.11  2008-02-29 18:51:57  glen
- rm duplicate udev rules

Revision 1.44.2.10  2008-02-29 18:19:15  glen
- fix X11 drivers install location

Revision 1.44.2.9  2008-02-29 18:05:15  glen
- current ac kernel stuff

Revision 1.44.2.8  2008-02-29 18:01:03  glen
- edit src in prep
- ac kernel doesn't do local Module.symvers, and missing syms aren't fatal

Revision 1.44.2.7  2008-02-29 17:07:06  glen
- no kver for -udev

Revision 1.44.2.6  2008-02-29 16:47:25  glen
- HEAD merge: - don't search for kernel headers when build userspace

Revision 1.44.2.5  2008-02-29 16:44:26  glen
- amd64 buildfixes

Revision 1.44.2.4  2008-02-29 16:00:53  glen
- merged 1.45 -> 1.65 from HEAD (version now: 1.5.6-1)

Revision 1.44.2.3  2008-01-30 13:48:24  hawk
- package input and video drivers for xorg 7.0, they should work on Ac

Revision 1.44.2.2  2008-01-29 13:36:23  hawk
- init script is back, its required to create /dev/vboxdrv on system with
  static dev
- release 2

Revision 1.44.2.1  2008-01-04 22:42:11  hawk
- adjusted for Ac

Revision 1.44  2008-01-04 18:18:00  qboosh
- pl fixes, reduced excessive underscores

Revision 1.43  2007-12-31 13:18:37  arvenil
- BR: pulseaudio-devel

Revision 1.42  2007-12-31 13:16:17  arvenil
- updated UserManual.pdf (there was a really old version)
- better Source URL for UserManual.pdf

Revision 1.41  2007-12-30 18:31:20  arvenil
- up to 1.5.4
- added important TODO

Revision 1.40  2007-10-24 13:06:47  kosmo
- packaged QT language files. VirtualBox check its existence for now.

Revision 1.39  2007/10/24 12:58:37  kosmo
- updated to 1.5.2

Revision 1.38  2007/10/24 08:29:42  kosmo
- added udev rules
- added missing patch
- thx to Rafal Cygnarowski <zswi@pers.pl>

Revision 1.37  2007/10/23 07:00:23  pascalek
- disabled missing patch

Revision 1.36  2007/10/08 14:53:32  kosmo
- fixed build on x86_64
- there is problem with kernel modules (but on i686 works)

Revision 1.35  2007/10/03 14:47:58  kosmo
- added missing br

Revision 1.34  2007/10/01 14:53:46  kosmo
- file name fix

Revision 1.33  2007/10/01 14:36:56  kosmo
- packaged guest OS additions ISO image.

Revision 1.32  2007/10/01 14:15:12  kosmo
- init script not needed - dropped.

Revision 1.31  2007/10/01 13:37:22  kosmo
- fixed vditool permissions

Revision 1.30  2007/10/01 13:30:00  kosmo
- packaged tools for Host OS.
- packaged video and mouse drivers for Guest OS.

Revision 1.29  2007/09/29 21:27:41  kosmo
- packaged language files.

Revision 1.28  2007/09/29 20:39:57  kosmo
- improved module build,
- fixed kernel/userpsace bconds,
- dropped libstdc++ static linking,
- please read TODO and think about it ...

Revision 1.27  2007/09/22 11:39:13  aflinta
 - added -j1 do kmk, otherwise build will fail on SMP

Revision 1.26  2007/09/22 10:26:18  pascalek
- Release 0.4, VBox.sh moved to Source4, use gxmessage when possible

Revision 1.25  2007/09/22 09:53:29  glen
- proper group deps (NOTE: PLD-doc/BuildRequires.txt is your friend)

Revision 1.24  2007/09/22 09:38:40  pascalek
- Relase 0.3; use vbox group

Revision 1.23  2007/09/22 09:25:20  glen
- don't be x86 specific

Revision 1.22  2007/09/21 23:15:19  pascalek
- Relase 0.2; just a desktop file

Revision 1.21  2007/09/21 21:27:24  pascalek
- fast update to 1.5.0 (works fine for me)

Revision 1.20  2007/09/01 11:21:33  qboosh
- informative summaries
- kernel/userspace bconds (unfinished)
- no kernel dependency in userspace package

Revision 1.19  2007/08/24 21:33:18  maciek2w
- updated to 1.4.0
- needs to check if builds on x8664

Revision 1.18  2007/03/13 19:05:51  shadzik
- install vs. cp, we already know what won

Revision 1.17  2007/03/13 18:47:37  glen
- files not produced by build process placed in %prep

Revision 1.16  2007/03/13 18:01:13  pascalek
- added UserManual

Revision 1.15  2007/03/13 17:15:05  glen
- file creation moved to %prep

Revision 1.14  2007/03/13 17:13:54  glen
- use 'EOF' (no interpolation); tabs

Revision 1.13  2007/03/13 17:04:45  pascalek
- Release 0.2
- Req kernel module
- initial init script
- fixed build and install so it started its basic work

Revision 1.12  2007/02/27 23:29:29  aflinta
- fixed build dir

Revision 1.11  2007/02/27 00:15:21  undefine
- up to 1.3.6
- kernel modules still doesn't build propertly

Revision 1.10  2007/02/14 23:15:14  aflinta
- just new fresh source

Revision 1.9  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.7  2007/01/22 08:23:56  glen
- todo update

Revision 1.6  2007/01/21 13:15:00  qboosh
- desc cosmetics, BR updates from vbox.spec
- use x8664 macro

Revision 1.5  2007/01/19 17:54:53  hawk
- typo, cosmetics

Revision 1.4  2007/01/19 13:54:16  hawk
- merged BRs from vbox.spec, added some versions based on ./configure
  contents

Revision 1.3  2007/01/19 13:43:44  hawk
- partial merge from vbox.spec

Revision 1.2  2007/01/19 13:22:23  hawk
- there are different output dirs for amd64 and x86 builds

Revision 1.1  2007/01/19 12:50:26  hawk
- VirtualBox is now licensed under GPLv2 so here is spec for it
- no official source tarballs are available, SVN snapshot was used
- builds, not tested, may even not run at all - TODO is looong
